<?php
include('../global.php');

class FinanceUserList extends Page
{
  var $FullTitle = 'Seznam účastníků sítě';
  var $ShortTitle = 'Seznam účastníků';

  function Show()
  {
    $Finance = $this->System->Modules['Finance'];
	$this->System->Modules['Finance']->RecalculateTariffs(1);
	if($this->System->Modules['User']->CheckPermission('Finance', 'SubjectList'))
    {
      // Seznam členů
      $Output = 'Seznam účastníků:<br>'.
      '<table style="font-size: smaller;" border="1" cellspacing="0" cellpadding="3">'.
      '<tr><th>Jméno</th>';
      //<th>Cena za zařízení [Kč]</th>
      $Output .= '<th>Měsíční poplatek [Kč]</th><th>Stav účtu [Kč]</th><th>Běžící tarif</th><th>Příští tarif</th><th>Poznámky</th></tr>';
      $TotalDevice = 0;
      $TotalMonth = 0;
      $TotalCash = 0;
      $DbResult = $this->Database->query('SELECT *, CONCAT(users.second_name, " ", users.first_name) as Fullname, ((SELECT COALESCE(SUM(Value), 0) FROM FinanceCashFlow WHERE Subject=users.id) + (SELECT COALESCE(SUM(-Value), 0) FROM FinanceClaimsLiabilities WHERE Subject=users.id)) as Cash FROM users WHERE role=2 ORDER BY fullname');

      //$DbResult = $Database->query("SELECT *,CONCAT(second_name, ' ', first_name) as fullname FROM users WHERE role=2 ORDER BY fullname");
      while($Row = $DbResult->fetch_array())
      {
        $Monthly = $Row['monthly'] - $Row['plus'];
        if($Row['hw'] == 0) $Monthly = '(trvale nepřipojen) '.(-$Row['plus']);
        else 
        {
          if($Row['overheads'] == 0) $Monthly = '(dočasně nepřipojen) '.$Monthly;
          else 
          {
            if($Row['inet'] == 0) $Monthly = '(bez internetu) '.$Monthly;
            else $Monthly = $Monthly;
          }
        }
        //$Row['cash'] = $Row['AdvancesIn'] - $Row['AdvancesOut'] + $Row['Liabilities'] - $Row['Claims'];
        $TotalCash += $Row['Cash'];
        if($Row['Cash'] < 0) $Row['Cash'] = '<span style="color: red;">'.$Row['Cash'].'</span>';
        $Tarif = $Finance->Tarify[$Row['inet_tarif_now']]['name'];
        $PristiTarif = $Finance->Tarify[$Row['inet_tarif_next']]['name'];
        $Output .= '<tr><td><a href="user_state.php?id='.$Row['id'].'">'.$Row['Fullname'].'</a></td>';
        //<td align="right">'.$Row['network_device'].'</td>
        $Output .= '<td align="right">'.$Monthly.'</td><td align="right">'.$Row['Cash'].'</td><td align="center">'.$Tarif.'</td><td align="center">'.$PristiTarif.'</td><td>'.$Row['notice'].'&nbsp;</td></tr>';
        $TotalDevice += $Row['network_device'];
        $TotalMonth += ($Row['monthly'] - $Row['plus']);
      }
      $Output .= '<tr><td><strong>Celkem</strong></td>';
      //<td align="right"><strong>'.$TotalDevice.'</strong></td>
      $Output .= '<td align="right"><strong>'.$TotalMonth.'</strong></td><td align="right"><strong>'.$TotalCash.'</strong></td><td align="right">&nbsp;</td><td align="right">&nbsp;</td><td align="right">&nbsp;</td></tr>';
      $Output .= '</table>';
    } else $Output = 'Nemáte oprávnění';
    return($Output);
  }
}

$System->AddModule(new FinanceUserList());
$System->Modules['FinanceUserList']->GetOutput();

?>
